Package: org.codehaus.groovy.jsr223

## [Java] Class ScriptStaticExtensions

- org.codehaus.groovy.jsr223.ScriptStaticExtensions

- This class defines new Java 6 specific static groovy methods which extend the normal JDK classes inside the Groovy environment.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static ScriptEngine` | `$static_propertyMissing(ScriptEngineManager self, String languageShortName)` Provides a convenient shorthand for accessing a Scripting Engine with name `languageShortName` using a newly created `ScriptEngineManager` instance.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public static ScriptEngine $static_propertyMissing(ScriptEngineManager self, String languageShortName)

      Provides a convenient shorthand for accessing a Scripting Engine with name `languageShortName` using a newly created `ScriptEngineManager` instance.

      Parameters:
        `self` - Placeholder variable used by Groovy categories; ignored for default static methods
        `languageShortName` - The short name of the scripting engine of interest
      Returns:
        the ScriptEngine corresponding to the supplied short name or null if no engine was found
      Since:
        1.8.0